%define api		1
%define	major		0
%define	libname		%mklibname %{name} %api %{major}
%define fammajor	0
%define	libfam		%mklibname fam %{fammajor}
%define develname	%mklibname gamin -d

%define	url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		Library providing the FAM File Alteration Monitor API
Name:			gamin
Version:		0.1.10
Release:		%mkrel 23
License:		LGPLv2+
Group:			Monitoring
URL:			https://www.gnome.org/~veillard/gamin/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/gamin-%{version}.tar.bz2
Patch0:			gamin-0.1.10-automak-1.13.patch
Patch1:			gamin-manape.patch
# (Anssi 01/2012) fix intermittent gam_server deadlock, submitted upstream at
# https://bugzilla.gnome.org/show_bug.cgi?id=667230
Patch2:			gamin-fix-deadlock.patch
Patch3:			gamin-return.patch
Patch4:			gamin-fam_abi_compatibility_FamErrlist.patch
Patch5:			gamin-missing-includes.patch
BuildRequires:		pkgconfig(glib-2.0)

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{libname}
Summary:		Dynamic library for Gamin
Group:			System/Libraries
Requires:		%{name} >= %{version}
Obsoletes:		%{_lib}gamin-1_0 < 0.1.10-9

%description -n %{libname}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{libfam}
Summary:                Dynamic library for Gamin
Group:                  System/Libraries
Requires:		%{name} >= %{version}
Conflicts:		%{_lib}gamin-1_0 < 0.1.10-9

%description -n %{libfam}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{develname}
Summary:		Libraries, includes, etc. to embed the Gamin library
Group:			Development/C
Requires:		%{name} = %{version}
Requires:		%{libname} = %{version}
Requires:		%{libfam} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		fam-devel = %{version}-%{release}

%description -n %{develname}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--disable-static \
	--enable-inotify
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog README Copyright TODO
%{_libexecdir}/gam_server

%files -n %{libname}
%{_libdir}/libgamin-%{api}.so.%{major}{,.*}

%files -n %{libfam}
%{_libdir}/libfam.so.%{fammajor}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog README Copyright TODO
%{_libdir}/lib*.so
%{_libdir}/libgamin_shared.a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.1.10-23.mga10
+ Revision: 2229396
- Mageia 10 Mass Rebuild

* Tue Oct 22 2024 daviddavid <daviddavid> 0.1.10-22.mga10
+ Revision: 2109671
- add opensuse patches to fix build

* Thu Mar 17 2022 umeabot <umeabot> 0.1.10-21.mga9
+ Revision: 1795232
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 0.1.10-20.mga8
+ Revision: 1546289
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 wally <wally> 0.1.10-19.mga8
+ Revision: 1486274
- drop old obsoletes/provides
- drop python2 support
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.1.10-18.mga7
+ Revision: 1297818
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.1.10-17.mga6
+ Revision: 932601
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.10-16.mga5
+ Revision: 748698
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.10-15.mga5
+ Revision: 726263
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.10-14.mga5
+ Revision: 679404
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1.10-13.mga5
+ Revision: 628204
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.1.10-12.mga4
+ Revision: 504659
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1.10-11.mga3
+ Revision: 351038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 fwang <fwang> 0.1.10-10.mga3
+ Revision: 337194
- update file list
- more fix
- fix build with am 1.13
- fix versioned obsoletes and conflicts

* Tue Dec 18 2012 fwang <fwang> 0.1.10-9.mga3
+ Revision: 332379
- update file list
- add req
- split out libfam

* Tue Jan 03 2012 anssi <anssi> 0.1.10-8.mga2
+ Revision: 190205
- fix intermittent gam_server deadlock causing e.g. KDE applications to
  no longer start (fix-deadlock.patch, submitted upstream as gnome
  bug #667230)

* Tue Sep 27 2011 ovitters <ovitters> 0.1.10-7.mga2
+ Revision: 149598
- add fedora patch to fix build
- clean spec file

* Tue Jan 18 2011 pterjan <pterjan> 0.1.10-6.mga1
+ Revision: 21793
- Rebuild for python 2.7
- Revert re-import
- imported package gamin

* Sat Jan 08 2011 blino <blino> 0.1.10-5.mga1
+ Revision: 760
- remove old ldconfig scriptlets
- imported package gamin


* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.10-4mdv2010.1
+ Revision: 520112
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.10-3mdv2010.0
+ Revision: 424551
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.10-2mdv2009.1
+ Revision: 319532
- rebuild with python 2.6

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 306345
- update license
- new version
- drop patches
- new source URL

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.1.9-6mdv2009.0
+ Revision: 264522
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-5mdv2009.0
+ Revision: 214703
- bump release
- Update patch3 with upstream fix

* Mon May 26 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-4mdv2009.0
+ Revision: 211378
- Patch1 (SVN): use less polling (GNOME bug #476938)
- Patch2 (SVN): fix filesystem leak (GNOME bug #403158)
- Patch3 (Fedora): fix missing struct ucred in glibc headers

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.1.9-3mdv2008.1
+ Revision: 150090
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-2mdv2008.0
+ Revision: 84380
- Patch0 (SVN): fix ABI/API compatibility with fam

* Fri Jul 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-1mdv2008.0
+ Revision: 56411
- Release 0.1.9
- Remove patches 0, 1, merged upstream


* Wed Mar 14 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-2mdv2007.1
+ Revision: 143644
- Patch1 (CVS): fix poll to be conditionnal

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-1mdv2007.1
+ Revision: 102345
- Release 0.1.8
  Remove patch0 (merged upstream)
  Patch0 (CVS): fix NFS monitoring

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.1.7-5mdv2007.1
+ Revision: 88198
- update file list

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-4mdv2007.1
+ Revision: 74667
- bunzip patches
- Import gamin

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-3mdv2007.0
- Update patch0 with two other fixes

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-2mdv2007.0
- Remove patch0, no longer needed
- Patch0 (CVS): various bug fixes

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-1mdk
- Release 0.1.7
- Remove patch 1 (merged upstream)

* Sat Sep 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-3mdk 
- Remove patch2, it seems to cause crashes with 0.1.5

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-2mdk 
- Patch1 (CVS): allow to disable inotify at runtime
- Patch2 (CVS): fix memleak in inotify mode

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-1mdk 
- Release 0.1.5

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.1-2mdk 
- Enable inotify
- Patch0: use local header for inotify

* Thu Jun 23 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- drop patches
- New release 0.1.1

* Fri May 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-2mdk 
- Patch0 (CVS): stop sending event after client unregisters
- Patch1: fix crash in poll only mode

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-1mdk 
- Release 0.1.0

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.26-1mdk 
- Release 0.0.26
- Remove patch0 (merged upstream)

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-4mdk 
- Update patch0 with upstream version

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-3mdk 
- Patch0 (Drean Brettle): fix crash when unmonitoring subdir with monitored
  files/dir (Mdk bug #14548)

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-2mdk 
- Disable inotify, it is not stable enough

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-1mdk 
- Release 0.0.25

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.24-2mdk 
- Remove patch0 (no longer needed)
- Rebuild for inotify 0.18-rml-16 aka 0.19

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.24-1mdk 
- Release 0.0.24
- Update patch0

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.23-2mdk
- fix lib64 provides

* Thu Feb 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.23-1mdk 
- Release 0.0.23

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.22-1mdk 
- Release 0.0.22
- Patch0: interface with inotify 0.17 (not 0.18 yet)

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.20-2mdk 
- Fix devel package to provide libfam-devel

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.20-1mdk 
- Release 0.0.20
- Remove patches 0 and 1 (merged upstream)

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-3mdk 
- Patch1: fix crash and implement poll only mode

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-2mdk 
- Patch0 (CVS): fix one crash when tree and root are null

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-1mdk
- New release 0.0.19

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.18-1mdk
- New release 0.0.18

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-5mdk
- added the changes fcrozat made in his 2mdk release that got lost 
  because of my mistake, also remove my 2mdk changelog entry, thanks 
  to blino for the insight.

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-4mdk
- fix deps

* Thu Nov 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-3mdk
- revert to 1mdk

* Thu Nov 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.17-2mdk
- Provides fam-devel too

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.17-1mdk 
- Initial mdk package

* Sat Jul 17 2004 Daniel Veillard <veillard@redhat.com>
- upstream release 0.0.2

